Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1782)
+++ palm/trunk/SOURCE/Makefile	(revision 1783)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# name change of netcdf routines and respective dependencies
 # 
 # Former revisions:
@@ -256,6 +256,6 @@
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
 	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
-	mod_particle_attributes.f90 netcdf.f90 nudging.f90 package_parin.f90 \
-	palm.f90 parin.f90 plant_canopy_model.f90 pmc_interface.f90 \
+	mod_particle_attributes.f90 netcdf_interface.f90 nudging.f90 \
+	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 pmc_interface.f90 \
 	pmc_client.f90 pmc_general.f90 pmc_handle_communicator.f90 pmc_mpi_wrapper.f90 \
 	pmc_server.f90 \
@@ -335,8 +335,9 @@
 calc_spectra.o: modules.o cpulog.o fft_xy.o mod_kinds.o
 check_for_restart.o: modules.o mod_kinds.o
-check_open.o: modules.o mod_kinds.o mod_particle_attributes.o
-check_parameters.o: modules.o mod_kinds.o land_surface_model.o\
-	plant_canopy_model.o pmc_interface.o radiation_model.o subsidence.o
-close_file.o: modules.o mod_kinds.o
+check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface.o
+check_parameters.o: modules.o mod_kinds.o land_surface_model.o \
+	netcdf_interface.o plant_canopy_model.o pmc_interface.o radiation_model.o \
+	subsidence.o
+close_file.o: modules.o mod_kinds.o netcdf_interface.o
 compute_vpt.o: modules.o mod_kinds.o
 coriolis.o: modules.o mod_kinds.o
@@ -346,13 +347,15 @@
 data_log.o: modules.o mod_kinds.o
 data_output_dvrp.o: modules.o cpulog.o mod_kinds.o
-data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-data_output_profiles.o: modules.o cpulog.o mod_kinds.o
-data_output_ptseries.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
-data_output_spectra.o: modules.o cpulog.o mod_kinds.o
-data_output_tseries.o: modules.o cpulog.o mod_kinds.o
+data_output_mask.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o \
+   netcdf_interface.o
+data_output_profiles.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
+data_output_ptseries.o: modules.o cpulog.o mod_kinds.o \
+   netcdf_interface.o mod_particle_attributes.o
+data_output_spectra.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
+data_output_tseries.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
 data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-                  land_surface_model.o radiation_model.o
+   netcdf_interface.o land_surface_model.o radiation_model.o
 data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-                  land_surface_model.o
+   netcdf_interface.o land_surface_model.o
 diffusion_e.o: modules.o mod_kinds.o
 diffusion_s.o: modules.o mod_kinds.o
@@ -369,14 +372,15 @@
 fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
 flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
-                   radiation_model.o
+   netcdf_interface.o radiation_model.o
 global_min_max.o: modules.o mod_kinds.o
-header.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model.o\
           plant_canopy_model.o pmc_interface.o radiation_model.o subsidence.o 
 impact_of_latent_heat.o: modules.o mod_kinds.o
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o\
-	land_surface_model.o ls_forcing.o lpm_init.o plant_canopy_model.o\
-	radiation_model.o random_generator_parallel.o surface_layer_fluxes.o
+init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model.o \
+   lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model.o \
+   radiation_model.o random_function.o random_generator_parallel.o \
+	surface_layer_fluxes.o
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
@@ -384,5 +388,5 @@
 init_dvrp.o: modules.o mod_kinds.o
 init_grid.o: modules.o mod_kinds.o
-init_masks.o: modules.o mod_kinds.o
+init_masks.o: modules.o mod_kinds.o netcdf_interface.o
 init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
 init_pegrid.o: modules.o mod_kinds.o
@@ -406,5 +410,5 @@
 	mod_particle_attributes.o
 lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o \
-	mod_particle_attributes.o
+	mod_particle_attributes.o netcdf_interface.o
 lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o \
 	mod_kinds.o mod_particle_attributes.o
@@ -412,10 +416,10 @@
 	mod_kinds.o mod_particle_attributes.o
 lpm_exchange_horiz.o: modules.o cpulog.o lpm_pack_arrays.o mod_kinds.o \
-	mod_particle_attributes.o
+	mod_particle_attributes.o netcdf_interface.o
 lpm_extend_tails.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_extend_tail_array.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
-	random_function.o mod_particle_attributes.o lpm_exchange_horiz.o \
-	lpm_pack_arrays.o random_generator_parallel.o
+	netcdf_interface.o random_function.o mod_particle_attributes.o \
+	lpm_exchange_horiz.o lpm_pack_arrays.o random_generator_parallel.o
 lpm_init_sgs_tke.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_pack_arrays.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o
@@ -433,5 +437,5 @@
 mod_kinds.o: mod_kinds.f90
 mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
-netcdf.o: modules.o mod_kinds.o land_surface_model.o
+netcdf_interface.o: netcdf_interface.f90 modules.o mod_kinds.o land_surface_model.o
 nudging.o: modules.o cpulog.o mod_kinds.o
 package_parin.o: modules.o mod_kinds.o land_surface_model.o\
@@ -439,5 +443,6 @@
 palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o\
 	pmc_interface.o surface_layer_fluxes.o
-parin.o: modules.o cpulog.o mod_kinds.o pmc_interface.o progress_bar.o
+parin.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o \
+   pmc_interface.o progress_bar.o
 plant_canopy_model.o: modules.o mod_kinds.o
 pmc_interface.o: modules.o mod_kinds.o pmc_client.o pmc_general.o\
@@ -470,5 +475,5 @@
                   radiation_model.o random_function.o\
                   random_generator_parallel.o
-read_var_list.o: modules.o mod_kinds.o plant_canopy_model.o
+read_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o
 run_control.o: modules.o cpulog.o mod_kinds.o
 set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
@@ -497,5 +502,6 @@
 user_additional_routines.o: modules.o mod_kinds.o user_module.o
 user_check_data_output.o: modules.o mod_kinds.o user_module.o
-user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o \
+   netcdf_interface.o
 user_check_parameters.o: modules.o mod_kinds.o user_module.o
 user_data_output_2d.o: modules.o mod_kinds.o user_module.o
@@ -506,5 +512,5 @@
 user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
 user_header.o: modules.o mod_kinds.o user_module.o
-user_init.o: modules.o mod_kinds.o user_module.o
+user_init.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
 user_init_3d_model.o: modules.o mod_kinds.o user_module.o
 user_init_grid.o: modules.o mod_kinds.o user_module.o
@@ -520,8 +526,8 @@
 user_read_restart_data.o: modules.o mod_kinds.o user_module.o
 user_spectra.o: modules.o mod_kinds.o user_module.o
-user_statistics.o: modules.o mod_kinds.o user_module.o
+user_statistics.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
 wall_fluxes.o: modules.o mod_kinds.o
 write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
                    radiation_model.o random_function.o\
                    random_generator_parallel.o
-write_var_list.o: modules.o mod_kinds.o plant_canopy_model.o 
+write_var_list.o: modules.o mod_kinds.o netcdf_interface.o plant_canopy_model.o 
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1782)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes
 !
 ! Former revisions:
@@ -106,5 +106,5 @@
     USE control_parameters,                                                    &
         ONLY:  avs_data_file, coupling_char, data_output_2d_on_each_pe, host,  &
-               message_string, mid, netcdf_data_format, nz_do3d, openfile,     &
+               max_masks, message_string, mid, nz_do3d, openfile,              &
                return_addres, return_username, run_description_header, runnr
 
@@ -117,5 +117,13 @@
     USE kinds
 
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_mask, id_set_pr, id_set_prt, id_set_pts, id_set_sp,      &
+               id_set_ts, id_set_xy, id_set_xz, id_set_yz, id_set_3d, nc_stat, &
+               netcdf_create_file, netcdf_data_format, netcdf_define_header,   &
+               netcdf_handle_error, netcdf_open_write_file
 
     USE particle_attributes,                                                   &
@@ -649,10 +657,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_xy(av), .TRUE., 20 )
+             CALL netcdf_open_write_file( filename, id_set_xy(av), .TRUE., 20 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'xy', netcdf_extend, av )
+             CALL netcdf_define_header( 'xy', netcdf_extend, av )
 
 !
@@ -660,5 +668,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_xy(av) )
-                CALL handle_netcdf_error( 'check_open', 21 )
+                CALL netcdf_handle_error( 'check_open', 21 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
 #if defined( __parallel ) && ! defined ( __check )
@@ -675,9 +683,9 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_xy(av), .TRUE., 22 )
+             CALL netcdf_create_file( filename, id_set_xy(av), .TRUE., 22 )
 
 !
 !--          Define the header
-             CALL define_netcdf_header( 'xy', netcdf_extend, av )
+             CALL netcdf_define_header( 'xy', netcdf_extend, av )
 
 !
@@ -711,10 +719,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_xz(av), .TRUE., 23 )
+             CALL netcdf_open_write_file( filename, id_set_xz(av), .TRUE., 23 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'xz', netcdf_extend, av )
+             CALL netcdf_define_header( 'xz', netcdf_extend, av )
 
 !
@@ -722,5 +730,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_xz(av) )
-                CALL handle_netcdf_error( 'check_open', 24 )
+                CALL netcdf_handle_error( 'check_open', 24 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
 #if defined( __parallel ) && ! defined ( __check )
@@ -737,9 +745,9 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_xz(av), .TRUE., 25 )
+             CALL netcdf_create_file( filename, id_set_xz(av), .TRUE., 25 )
 
 !
 !--          Define the header
-             CALL define_netcdf_header( 'xz', netcdf_extend, av )
+             CALL netcdf_define_header( 'xz', netcdf_extend, av )
 
 !
@@ -773,10 +781,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_yz(av), .TRUE., 26 )
+             CALL netcdf_open_write_file( filename, id_set_yz(av), .TRUE., 26 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'yz', netcdf_extend, av )
+             CALL netcdf_define_header( 'yz', netcdf_extend, av )
 
 !
@@ -784,5 +792,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_yz(av) )
-                CALL handle_netcdf_error( 'check_open', 27 )
+                CALL netcdf_handle_error( 'check_open', 27 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
 #if defined( __parallel ) && ! defined ( __check )
@@ -799,9 +807,9 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_yz(av), .TRUE., 28 )
+             CALL netcdf_create_file( filename, id_set_yz(av), .TRUE., 28 )
 
 !
 !--          Define the header
-             CALL define_netcdf_header( 'yz', netcdf_extend, av )
+             CALL netcdf_define_header( 'yz', netcdf_extend, av )
 
 !
@@ -829,10 +837,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_pr, .FALSE., 29 )
+             CALL netcdf_open_write_file( filename, id_set_pr, .FALSE., 29 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'pr', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'pr', netcdf_extend, 0 )
 
 !
@@ -840,5 +848,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pr )
-                CALL handle_netcdf_error( 'check_open', 30 )
+                CALL netcdf_handle_error( 'check_open', 30 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -849,8 +857,8 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_pr, .FALSE., 31 )
+             CALL netcdf_create_file( filename, id_set_pr, .FALSE., 31 )
 !
 !--          Define the header
-             CALL define_netcdf_header( 'pr', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'pr', netcdf_extend, 0 )
 
           ENDIF
@@ -869,10 +877,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_ts, .FALSE., 32 )
+             CALL netcdf_open_write_file( filename, id_set_ts, .FALSE., 32 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'ts', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'ts', netcdf_extend, 0 )
 
 !
@@ -880,5 +888,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_ts )
-                CALL handle_netcdf_error( 'check_open', 33 )
+                CALL netcdf_handle_error( 'check_open', 33 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -889,8 +897,8 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_ts, .FALSE., 34 )
+             CALL netcdf_create_file( filename, id_set_ts, .FALSE., 34 )
 !
 !--          Define the header
-             CALL define_netcdf_header( 'ts', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'ts', netcdf_extend, 0 )
 
           ENDIF
@@ -916,10 +924,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_3d(av), .TRUE., 35 )
+             CALL netcdf_open_write_file( filename, id_set_3d(av), .TRUE., 35 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( '3d', netcdf_extend, av )
+             CALL netcdf_define_header( '3d', netcdf_extend, av )
 
 !
@@ -927,5 +935,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_3d(av) )
-                CALL handle_netcdf_error( 'check_open', 36 )
+                CALL netcdf_handle_error( 'check_open', 36 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
 #if defined( __parallel ) && ! defined ( __check )
@@ -943,9 +951,9 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_3d(av), .TRUE., 37 )
+             CALL netcdf_create_file( filename, id_set_3d(av), .TRUE., 37 )
 
 !
 !--          Define the header
-             CALL define_netcdf_header( '3d', netcdf_extend, av )
+             CALL netcdf_define_header( '3d', netcdf_extend, av )
 
 !
@@ -974,5 +982,5 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_sp, .FALSE., 38 )
+             CALL netcdf_open_write_file( filename, id_set_sp, .FALSE., 38 )
 
 !
@@ -980,5 +988,5 @@
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'sp', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'sp', netcdf_extend, 0 )
 
 !
@@ -986,5 +994,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_sp )
-                CALL handle_netcdf_error( 'check_open', 39 )
+                CALL netcdf_handle_error( 'check_open', 39 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -995,8 +1003,8 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_sp, .FALSE., 40 )
+             CALL netcdf_create_file( filename, id_set_sp, .FALSE., 40 )
 !
 !--          Define the header
-             CALL define_netcdf_header( 'sp', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'sp', netcdf_extend, 0 )
 
           ENDIF
@@ -1019,10 +1027,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_prt, .FALSE., 41 )
+             CALL netcdf_open_write_file( filename, id_set_prt, .FALSE., 41 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'pt', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'pt', netcdf_extend, 0 )
 
 !
@@ -1030,5 +1038,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_prt )
-                CALL handle_netcdf_error( 'check_open', 42 )
+                CALL netcdf_handle_error( 'check_open', 42 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -1056,9 +1064,9 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_prt, .FALSE., 43 )
+             CALL netcdf_create_file( filename, id_set_prt, .FALSE., 43 )
 
 !
 !--          Define the header
-             CALL define_netcdf_header( 'pt', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'pt', netcdf_extend, 0 )
 
           ENDIF
@@ -1077,10 +1085,10 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_pts, .FALSE., 393 )
+             CALL netcdf_open_write_file( filename, id_set_pts, .FALSE., 393 )
 !
 !--          Read header information and set all ids. If there is a mismatch
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'ps', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'ps', netcdf_extend, 0 )
 
 !
@@ -1088,5 +1096,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pts )
-                CALL handle_netcdf_error( 'check_open', 394 )
+                CALL netcdf_handle_error( 'check_open', 394 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -1097,8 +1105,8 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_pts, .FALSE., 395 )
+             CALL netcdf_create_file( filename, id_set_pts, .FALSE., 395 )
 !
 !--          Define the header
-             CALL define_netcdf_header( 'ps', netcdf_extend, 0 )
+             CALL netcdf_define_header( 'ps', netcdf_extend, 0 )
 
           ENDIF
@@ -1138,5 +1146,5 @@
 !
 !--          Open an existing netCDF file for output
-             CALL open_write_netcdf_file( filename, id_set_mask(mid,av),       &
+             CALL netcdf_open_write_file( filename, id_set_mask(mid,av),       &
                                           .TRUE., 456 )
 !
@@ -1144,5 +1152,5 @@
 !--          between the previuos and the actual run, netcdf_extend is returned
 !--          as .FALSE.
-             CALL define_netcdf_header( 'ma', netcdf_extend, file_id )
+             CALL netcdf_define_header( 'ma', netcdf_extend, file_id )
 
 !
@@ -1150,5 +1158,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_mask(mid,av) )
-                CALL handle_netcdf_error( 'check_open', 457 )
+                CALL netcdf_handle_error( 'check_open', 457 )
                 CALL local_system('rm ' // TRIM( filename ) )
              ENDIF
@@ -1159,8 +1167,8 @@
 !
 !--          Create a new netCDF output file with requested netCDF format
-             CALL create_netcdf_file( filename, id_set_mask(mid,av), .TRUE., 458 )
+             CALL netcdf_create_file( filename, id_set_mask(mid,av), .TRUE., 458 )
 !
 !--          Define the header
-             CALL define_netcdf_header( 'ma', netcdf_extend, file_id )
+             CALL netcdf_define_header( 'ma', netcdf_extend, file_id )
 
           ENDIF
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1782)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1783)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! netcdf variables and module name changed,
+! check of netcdf precision removed (is done in the netcdf module)
 !
 ! Former revisions:
@@ -312,5 +313,7 @@
     USE kinds
     USE model_1d
-    USE netcdf_control
+    USE netcdf_interface,                                                      &
+        ONLY:  dopr_unit, do2d_unit, do3d_unit, netcdf_data_format,            &
+               netcdf_data_format_string
     USE particle_attributes
     USE pegrid
@@ -350,5 +353,4 @@
     
     LOGICAL     ::  found                            !< 
-    LOGICAL     ::  ldum                             !< 
     
     REAL(wp)    ::  gradient                         !< 
@@ -3733,15 +3735,15 @@
     SELECT CASE ( netcdf_data_format )
        CASE ( 1 )
-          output_format_netcdf = 'netCDF classic'
+          netcdf_data_format_string = 'netCDF classic'
        CASE ( 2 )
-          output_format_netcdf = 'netCDF 64bit offset'
+          netcdf_data_format_string = 'netCDF 64bit offset'
        CASE ( 3 )
-          output_format_netcdf = 'netCDF4/HDF5'
+          netcdf_data_format_string = 'netCDF4/HDF5'
        CASE ( 4 )
-          output_format_netcdf = 'netCDF4/HDF5 classic'
+          netcdf_data_format_string = 'netCDF4/HDF5 classic'
        CASE ( 5 )
-          output_format_netcdf = 'parallel netCDF4/HDF5'
+          netcdf_data_format_string = 'parallel netCDF4/HDF5'
        CASE ( 6 )
-          output_format_netcdf = 'parallel netCDF4/HDF5 classic'
+          netcdf_data_format_string = 'parallel netCDF4/HDF5 classic'
 
     END SELECT
@@ -3864,10 +3866,4 @@
     ENDIF
 
-#if ! defined( __check )
-!
-!-- Check netcdf precison
-    ldum = .FALSE.
-    CALL define_netcdf_header( 'ch', ldum, 0 )
-#endif
 !
 !-- Check, whether a constant diffusion coefficient shall be used
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 1782)
+++ palm/trunk/SOURCE/close_file.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -65,8 +65,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n,                    &
-               host, max_masks, mid, netcdf_data_format,                       &
-               nz_do3d, openfile, run_description_header,       &
-               z_max_do2d
+        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n, host, max_masks,   &
+               mid, nz_do3d, openfile, run_description_header, z_max_do2d
                 
     USE grid_variables,                                                        &
@@ -78,5 +76,12 @@
     USE kinds
     
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_mask, id_set_pr, id_set_prt, id_set_pts, id_set_sp,      &
+               id_set_ts, id_set_xy, id_set_xz, id_set_yz, id_set_3d, nc_stat, &
+               netcdf_data_format, netcdf_handle_error
                 
     USE pegrid                                           
@@ -132,5 +137,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(0) )
-                   CALL handle_netcdf_error( 'close_file', 44 )
+                   CALL netcdf_handle_error( 'close_file', 44 )
                 ENDIF
 
@@ -139,5 +144,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(0) )
-                   CALL handle_netcdf_error( 'close_file', 45 )
+                   CALL netcdf_handle_error( 'close_file', 45 )
                 ENDIF
 
@@ -146,5 +151,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(0) )
-                   CALL handle_netcdf_error( 'close_file', 46 )
+                   CALL netcdf_handle_error( 'close_file', 46 )
                 ENDIF
 
@@ -153,5 +158,5 @@
                 IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_pr )
-                   CALL handle_netcdf_error( 'close_file', 47 )
+                   CALL netcdf_handle_error( 'close_file', 47 )
                 ENDIF
 
@@ -160,5 +165,5 @@
                 IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_ts )
-                   CALL handle_netcdf_error( 'close_file', 48 )
+                   CALL netcdf_handle_error( 'close_file', 48 )
                 ENDIF
 
@@ -167,5 +172,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(0) )
-                   CALL handle_netcdf_error( 'close_file', 49 )
+                   CALL netcdf_handle_error( 'close_file', 49 )
                 ENDIF
 
@@ -174,5 +179,5 @@
                 IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_sp )
-                   CALL handle_netcdf_error( 'close_file', 50 )
+                   CALL netcdf_handle_error( 'close_file', 50 )
                 ENDIF
 
@@ -180,10 +185,10 @@
 
                 nc_stat = NF90_CLOSE( id_set_prt )
-                CALL handle_netcdf_error( 'close_file', 51 )
+                CALL netcdf_handle_error( 'close_file', 51 )
 
              CASE ( 109 ) 
 
                 nc_stat = NF90_CLOSE( id_set_pts )
-                CALL handle_netcdf_error( 'close_file', 412 )
+                CALL netcdf_handle_error( 'close_file', 412 )
 
              CASE ( 111 )
@@ -191,5 +196,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(1) )
-                   CALL handle_netcdf_error( 'close_file', 52 )
+                   CALL netcdf_handle_error( 'close_file', 52 )
                 ENDIF
 
@@ -198,5 +203,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(1) )
-                   CALL handle_netcdf_error( 'close_file', 352 )
+                   CALL netcdf_handle_error( 'close_file', 352 )
                 ENDIF
 
@@ -205,5 +210,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(1) )
-                   CALL handle_netcdf_error( 'close_file', 353 )
+                   CALL netcdf_handle_error( 'close_file', 353 )
                 ENDIF
 
@@ -212,5 +217,5 @@
                 IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(1) )
-                   CALL handle_netcdf_error( 'close_file', 353 )
+                   CALL netcdf_handle_error( 'close_file', 353 )
                 ENDIF
 
@@ -228,5 +233,5 @@
                    ENDIF
                    nc_stat = NF90_CLOSE( id_set_mask(mid,av) )
-                   CALL handle_netcdf_error( 'close_file', 459 )
+                   CALL netcdf_handle_error( 'close_file', 459 )
 		
                 ENDIF
